Bug 1091301 - (cockpit-F21-tracker) Cockpit Management Console
Cockpit Management Console
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Petr Bokoc
ChangeAcceptedF21 SystemWideChange
: 1108258 (view as bug list)
Depends On: 1094124 1094138 1110711 1110758 1110763 1110764 1115977 1121761 1122128 1239089
  Show dependency treegraph
Reported: 2014-04-25 06:44 EDT by Jaroslav Reznik
Modified: 2015-09-30 16:12 EDT (History)
5 users (show)

See Also:
Fixed In Version: cockpit-0.25-1.fc21
Doc Type: Bug Fix
Doc Text:
<title>Cockpit Management Console</title> <para> The <application>Cockpit</application> management console (the <package>cockpit</package> package) is now available by default in Fedora Server. This tool provides a powerful, easy to use, web-based graphical interface for managing multiple Linux servers. Features include: </para> <itemizedlist> <listitem> <para> <systemitem>systemd</systemitem> service management </para> </listitem> <listitem> <para> Journal log viewer </para> </listitem> <listitem> <para> Storage configuration including LVM </para> </listitem> <listitem> <para> Docker container management </para> </listitem> <listitem> <para> Basic network configuration </para> </listitem> <listitem> <para> Adding and removing local users </para> </listitem> </itemizedlist> <para> See the <ulink url="http://cockpit-project.org/">Cockpit Project</ulink> website and the <ulink url="https://fedoraproject.org/wiki/Changes/CockpitManagementConsole">Cockpit Management Console</ulink> wiki page for additional information. </para>
Story Points: ---
Clone Of:
Last Closed: 2014-12-08 10:22:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbokoc: fedora_requires_release_note+

Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2014-04-25 06:44:38 EDT
This is a tracking bug for Change: Cockpit Management Console
For more details, see: http://fedoraproject.org//wiki/Changes/CockpitManagementConsole

The Fedora Server Product will ship the Cockpit Project as available by default, providing an approachable tool for system management.
Comment 1 Patrick Uiterwijk 2014-06-21 13:02:17 EDT
*** Bug 1108258 has been marked as a duplicate of this bug. ***
Comment 2 Stef Walter 2014-07-04 05:05:12 EDT
Cockpit is in rawhide. Testable 

Not yet installed in Fedora Server by default, but that's because at this point Fedora Server does not yet exist in any tangible sense.
Comment 3 Petr Bokoc 2014-08-11 15:42:13 EDT
Hello Stef, 

Can you please review the release note at https://fedoraproject.org/wiki/Documentation_Server_Specific_Content_Beat#Cockpit_Management_Console and let me know if it's fine, or if it needs something added or changed?

Comment 4 Stephen Gallagher 2014-08-12 04:55:24 EDT
We may want to add "Management of Docker Containers"
Comment 5 Petr Bokoc 2014-08-15 09:01:51 EDT
All right, thanks. Added that to the list.

Note You need to log in before you can comment on or make changes to this bug.